Skip to main content
POST
/
v1
/
profiles
/
{profileId}
/
upload
Upload Browser Context Profile state
curl --request POST \
  --url https://agent.tinyfish.ai/v1/profiles/{profileId}/upload \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "cookies": [
    {
      "name": "<string>",
      "value": "<string>",
      "domain": "<string>",
      "path": "<string>",
      "httpOnly": true,
      "secure": true,
      "expires": 123,
      "sourceScheme": "<string>",
      "sourcePort": 123,
      "partitionKey": "<string>"
    }
  ],
  "localStorage": [
    {
      "origin": "<string>",
      "items": [
        {
          "name": "<string>",
          "value": "<string>"
        }
      ]
    }
  ],
  "sessionStorage": [
    {
      "origin": "<string>",
      "items": [
        {
          "name": "<string>",
          "value": "<string>"
        }
      ]
    }
  ]
}
'
{
  "domains_updated": [
    "example.com"
  ],
  "domains_failed": [],
  "cookie_count": 12,
  "domains_skipped": {
    "cookies_skipped": [],
    "local_storage_skipped": [],
    "session_storage_skipped": [],
    "blob_too_large": []
  }
}

Authorizations

X-API-Key
string
header
required

API key for authentication. Get your key from the API Keys page.

Path Parameters

profileId
string
required

Browser Context Profile ID

Minimum string length: 1
Example:

"prof_abc123def4567890"

Body

application/json
cookies
object[]
required
Maximum array length: 3000
localStorage
object[]
Maximum array length: 100
sessionStorage
object[]
Maximum array length: 100

Response

Upload Browser Context Profile state succeeded.

domains_updated
string[]
required
Example:
["example.com"]
domains_failed
string[]
required
Example:
[]
Required range: x >= 0
Example:

12

domains_skipped
object
required